summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/kernel-install.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/kernel-install.eclass b/eclass/kernel-install.eclass
index 0870999fa5ad..b8109f47d0bf 100644
--- a/eclass/kernel-install.eclass
+++ b/eclass/kernel-install.eclass
@@ -346,7 +346,7 @@ kernel-install_install_all() {
local success=
# not an actual loop but allows error handling with 'break'
while :; do
- mount-boot_pkg_preinst
+ nonfatal mount-boot_check_status || break
local image_path=$(dist-kernel_get_image_path)
if use initramfs; then